Name:      scim
Version:   1.4.5
Release:   4AX
Summary:   Smart Common Input Method platform

License:   LGPL
Group:     System Environment/Libraries
URL:       http://www.scim-im.org/
Source0:   http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:   xinput-scim
Source2:   scim-icons-0.7.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gtk2-devel, libXt-devel, desktop-file-utils
# for autoreconf
Buildrequires: autoconf automake gettext libtool
Requires:  %{name}-libs = %{version}-%{release}
# for xinputrc (fc6)
Requires: xorg-x11-xinit >= 1.0.2-5
#- require other im-scim.so too on multilib archs (G Rajesh, #188398)
## require 32bit gtk IM module for 64bit multilib arches
#%%ifarch x86_64 s390x
#Requires: %{_prefix}/lib/gtk-2.0/immodules/im-scim.so
#%%endif
Requires(post): %{_sbindir}/alternatives
Requires(postun): %{_sbindir}/alternatives
Obsoletes: iiimf-gtk <= 1:12.2, iiimf-gnome-im-switcher <= 1:12.2, iiimf-server <= 1:12.2, iiimf-x <= 1:12.2, iiimf-emacs <= 1:12.2, iiimf-le-sun-thai <= 1:12.2
Patch1:    scim-add-restart.patch
Patch6:    scim-system-default-config.patch
Patch7:    scim_panel_gtk-emacs-cc-style.patch
Patch8:    initial-locale-hotkey-186861.patch
Patch9:    scim_panel_gtk-icon-size-fixes.patch
Patch11:   scim-1.4.5-panel-menu-fixes.patch
Patch12:   scim-fix-unload-segfault.patch
Patch13:   scim_panel-observe-workarea-xprop-204442.patch
Patch14:   scim_x11_frontend-ic-focus-LTC27940-215953.patch
Patch15:   scim-gtkimm-default-snooper-off-213796.patch
Patch16:   scim_panel_gtk-settle-toolbar-after-drag.patch
Patch17:   scim-1.4.5-no-rpath-libdir.patch
Patch18:   scim-setup-desktop-file.patch

# Asianux patch
Patch100:  scim-1.4.5-config.ko_KR.patch
Patch101:  scim-1.4.5-gtk_immodules.patch
Patch102:  scim-1.4.5-asianux-desktop_categories.patch

%description
SCIM is a user friendly and full featured input method user interface and
also a development platform to make life easier for Input Method developers.


%package devel
Summary:    Smart Common Input Method platform
Group:      Development/Libraries
Requires:   %{name}-libs = %{version}-%{release}
Requires:   gtk2-devel
Obsoletes:  iiimf-libs-devel <= 1:12.2

%description devel
The scim-devel package includes the header files for the scim package.
Install scim-devel if you want to develop programs which will use scim.


%package doc
Summary:    Smart Common Input Method platform documentation
Group:      Documentation
Obsoletes:  iiimf-docs <= 1:12.2

%description doc
SCIM development documentation files generated from the sourcecode.


%package libs
Summary:    Smart Common Input Method libraries
Group:      System Environment/Libraries
# for update-gtk-immodules
Requires(post): gtk2 >= 2.9.1-2
Requires(postun): gtk2 >= 2.9.1-2
Obsoletes:  iiimf-libs <= 1:12.2, iiimf-csconv <= 1:12.2

%description libs
This package provides the libraries and GTK input method module for SCIM.


%define scim_api 1.4.0

%define _xinputdir %{_sysconfdir}/X11/xinit/xinput.d
%define _xinputconf %{_xinputdir}/scim.conf


%prep
%setup -q -n %{name}-%{version} -a2
%patch1 -p1 -b .1-restart
%patch6 -p1 -b .6-config
%patch7 -p1 -b .7-emacs-ccmode
%patch8 -p1 -b .8-hotkey
%patch9 -p1 -b .9-icon-size
%patch11 -p1 -b .11-factory-menu
%patch12 -p1 -b .12-unloadsegfault
%patch13 -p1 -b .13-workarea-xprop
%patch14 -p1 -b .14-xim-focus
%patch15 -p1 -b .15-key-snooper
%patch16 -p1 -b .16-drag-move
%patch17 -p1 -b .17-rpath
%patch18 -p1 -b .18-category

# Asianux patch
%patch100 -p1
%patch101 -p1
%patch102 -p1

# patch1 and patch17 touch configure.ac and Makefile.am
autoreconf

cp -p scim-icons/icons/*.png data/icons
cp -p scim-icons/pixmaps/*.png data/pixmaps


%build
%configure --disable-static --enable-ld-version-script
make %{?_smp_mflags}


%install
rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT} INSTALL="%{__install} -p"

# remove .la files
find ${RPM_BUILD_ROOT} -name '*.la' | xargs rm

# install setup panel
desktop-file-install \
  --delete-original                                     \
  --vendor asianux                                      \
  --dir ${RPM_BUILD_ROOT}/%{_datadir}/applications      \
  ${RPM_BUILD_ROOT}/%{_datadir}/applications/scim-setup.desktop

# remove capplet
rm ${RPM_BUILD_ROOT}/%{_datadir}/control-center-2.0/capplets/scim-setup.desktop

# install xinput config file
mkdir -pm 755 ${RPM_BUILD_ROOT}/%{_xinputdir}
install -pm 644 %{SOURCE1} ${RPM_BUILD_ROOT}/%{_xinputconf}

%find_lang %{name}


%clean
rm -rf ${RPM_BUILD_ROOT}


%post
# remove old xinput.d alternatives
%define cjk_langs ja_JP ko_KR zh_CN zh_HK zh_TW
%define indic_langs as_IN bn_IN gu_IN hi_IN kn_IN ml_IN or_IN pa_IN ta_IN te_IN
%define supported_langs %{cjk_langs} %{indic_langs} ne_NE si_LK th_TH vi_VN
for llcc in %{supported_langs}; do
   %{_sbindir}/alternatives --remove xinput-$llcc %{_sysconfdir}/X11/xinit/xinput.d/scim &>/dev/null || :
   # if alternative was set to manual scim, reset to auto
   [ -L %{_sysconfdir}/alternatives/xinput-$llcc -a "`readlink %{_sysconfdir}/alternatives/xinput-$llcc`" = "%{_sysconfdir}/X11/xinit/xinput.d/scim" ] && %{_sbindir}/alternatives --auto xinput-$llcc &>/dev/null || :
done

# xinputrc alternative
%{_sbindir}/alternatives --install %{_sysconfdir}/X11/xinit/xinputrc xinputrc %{_xinputconf} 82 || :


%post libs
/sbin/ldconfig
%{_bindir}/update-gtk-immodules %{_host} || :


%postun
if [ "$1" = "0" ]; then
   %{_sbindir}/alternatives --remove xinputrc %{_xinputconf} || :
   # if alternative was set to manual scim, reset to auto
   [ -L %{_sysconfdir}/alternatives/xinputrc -a "`readlink %{_sysconfdir}/alternatives/xinputrc`" = "%{_xinputconf}" ] && %{_sbindir}/alternatives --auto xinputrc || :
fi


%postun libs
/sbin/ldconfig
%{_bindir}/update-gtk-immodules %{_host} || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README ChangeLog TODO
%dir %{_sysconfdir}/scim
%config(noreplace) %{_sysconfdir}/scim/*
%{_bindir}/*
%{_libdir}/scim-1.0/scim-helper-launcher
%{_libdir}/scim-1.0/scim-helper-manager
%{_libdir}/scim-1.0/scim-launcher
%{_libdir}/scim-1.0/scim-panel-gtk
%{_libdir}/scim-1.0/%{scim_api}/Filter
%{_libdir}/scim-1.0/%{scim_api}/FrontEnd
%{_libdir}/scim-1.0/%{scim_api}/Helper
%{_libdir}/scim-1.0/%{scim_api}/IMEngine/rawcode.so
%{_libdir}/scim-1.0/%{scim_api}/SetupUI
%{_datadir}/scim
%{_datadir}/pixmaps/*
%{_datadir}/applications/asianux-scim-setup.desktop
%dir %{_xinputdir}
%config(noreplace) %{_xinputconf}

%files devel
%defattr(-,root,root,-)
%doc docs/developers
%{_includedir}/scim-1.0
%{_libdir}/libscim*.so
%{_libdir}/pkgconfig/*.pc


%files doc
%defattr(-,root,root,-)
%doc docs/html


%files libs
%defattr(-,root,root,-)
%{_libdir}/libscim-*.so.*
%dir %{_libdir}/scim-1.0
%dir %{_libdir}/scim-1.0/%{scim_api}
%{_libdir}/scim-1.0/%{scim_api}/Config
%dir %{_libdir}/scim-1.0/%{scim_api}/IMEngine
%{_libdir}/scim-1.0/%{scim_api}/IMEngine/socket.so
%{_libdir}/gtk-2.0/immodules


%changelog
* Wed Jul 11 2007 Ki-Young, Lee <kylee@haansoft.com> 1.4.5-4AX
- modify scim-1.4.5-asianux-desktop_categories.patch

* Tue Jun 12 2007 Ki-Young, Lee <kylee@haansoft.com> 1.4.5-3AX
- added to patch#102( modify desktop categories )

* Mon Mar 19 2007 Nam, Kwonwoo <kwnam@haansoft.com> 1.4.5-2AX
- modify spec files for RHEL5 style and change vendor to asianux
- update scim-icons 0.7
- change ko_KR Hotkeys (patch 100)
- add gtk_immodules ko, ja, ch... (patch 101)

* Tue Mar 13 2007 Jens Petersen <petersen@redhat.com> - 1.4.5-11
- improve sourceforge url to main tarball (#226395)
- preserve timestamps under make install (#226395)

* Mon Mar 12 2007 Jens Petersen <petersen@redhat.com> - 1.4.5-10
- make only scim-libs own lib directories used by both scim and scim-libs
  since scim requires scim-libs (#226395)
- update desktop file to remove deprecated X-Fedora and Applications
  categories with scim-setup-desktop-file.patch (#226395)

* Fri Mar  9 2007 Jens Petersen <petersen@redhat.com> - 1.4.5-9
- add scim-1.4.5-no-rpath-libdir.patch to remove rpaths to libdir
- rpmlint cleanup (#226395)

* Mon Feb 12 2007 Jens Petersen <petersen@redhat.com> - 1.4.5-8
- separate gtk immodule out to a separate subpackage
- update icons with improvements by Andy Fitzsimon
- add functions to xinput script to test for presence of immodules

* Fri Dec 15 2006 Jens Petersen <petersen@redhat.com> - 1.4.5-7
- improve scim_panel-observe-workarea-xprop-204442.patch to autosnap within
  desktop workarea (#204442)
- add scim_panel_gtk-settle-toolbar-after-drag.patch to autosnap toolbar after
  dragging
- improve initial-locale-hotkey-186861.patch not to set next/previous factory
  and show menu hotkeys by default (#219247)
- remove show factory menu hotkey and add super and hyper as valid modifiers
  in scim-system-default-config.patch
- improve scim-1.4.5-panel-menu-fixes.patch to correctly name recently used
  factories for same language (#217324)

* Fri Dec  1 2006 Jens Petersen <petersen@redhat.com> - 1.4.5-6
- fix scim-restart quoting for pkill -f
- rename scim-turn-off-snooper.patch to
  scim-gtkimm-default-snooper-off-213796.patch

* Fri Dec  1 2006 Jens Petersen <petersen@redhat.com> - 1.4.5-5
- move dl modules used by im-scim.so back to scim-libs for multilib (#215583)
- revert gtkimm-clear-preedit-on-reset-174143.patch for now to be consistent
  with scim-bridge and upstream behaviour (#174143)
- improve scim-restart to also restart xim socket and only kill user's own
  processes (#205547)

* Fri Nov 24 2006 Shawn Huang <phuang@redhat.com> - 1.4.5-4
- add scim-gtkimm-default-snooper-off-213796.patch to turn off key snooper in
  im-scim to avoid crashes when clicking during scim gtkimm preedit (#213796)

* Fri Nov 17 2006 Jens Petersen <petersen@redhat.com> - 1.4.5-3
- add scim_panel-observe-workarea-xprop.patch to make toolbar respect desktop
  work area (Takuro Ashie, #204442)
- add scim_x11_frontend-ic-focus-LTC27940-215953.patch from cvs to fix XIM
  focus preedit commit issue (Shoji Sugiyama, #215953)
- add scim_panel_gtk-emacs-cc-style.patch to set emacs cc-mode style for panel
- reduce systray icon size even more to 11

* Fri Nov 17 2006 Shawn Huang <phuang@redhat.com> - 1.4.5-2
- add scim-fix-unload-segfault.patch to fix xim process segfaulting
  when already running (#206995)

* Tue Nov  7 2006 Jens Petersen <petersen@redhat.com> - 1.4.5-1
- update to 1.4.5 release
- no longer need scim.pc-versioned-moduledir-179706.patch,
  scim_panel_gtk-systray-click-199187.patch,
  scim_panel_gtk-menu-recently-used-factories.patch,
  scim_backup-default-engine-2letter-locale-197058.patch,
  scim_utility-Assamese-locale-fix.patch,
  scim-gtkimm-underline-attrib-206397.patch,
  and scim_x11_frontend-underline-attrib-206397.patch
- update scim-system-default-config.patch, scim_panel_gtk-icon-size-fixes.patch
- add scim-1.4.5-panel-menu-fixes.patch to fix latest factory menu labelling
- improve scim-restart script to also handle scim-bridge (#205547)
- obsolete iiimf-csconv (#211875)
- add Hangul keysym to Korean hotkeys (#212115)

* Thu Nov  2 2006 Jens Petersen <petersen@redhat.com>
- return scim-bridge-qt support to xinput script

* Tue Oct  3 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-35
- reduce tray icon size to 12 to fit button in
  scim_panel_gtk-icon-size-fixes.patch
- add scim-gtkimm-underline-attrib-206397.patch and
  scim_x11_frontend-underline-attrib-206397.patch from upstream cvs (#206397)
- make Chinese full/half width icons darker

* Tue Sep  5 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-34
- remove dist tag from xorg-x11-xinit requires (#204154)
- remove scim-bridge-qt from xinput script for now
- buildrequire gettext instead of gettext-devel

* Fri Sep  1 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-33
- update xinput.d script for scim-bridge
- improvements to menu and full/half width icons (Andy Fitzsimon)

* Thu Aug 24 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-32
- revert tray icon to a button to get transparency working (#198259)
- better full/half icons (Andy Fitzsimon)
- silence remove of old alternatives (#203794)

* Wed Aug  9 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-31
- improve scim_panel_gtk-menu-recently-used-factories.patch to handle
  two letter locale and "other"
- simplify scim_panel_gtk-systray-click-199187.patch to handle switching
  between tray menus better (Qingyu Wang)
- add scim_backup-default-engine-2letter-locale.patch to improve matching of
  m17n maps (#197058)
- add scim_utility-Assamese-locale-fix.patch to list Assamese as as_IN

* Mon Aug  7 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-30
- improvements to scim_panel_gtk-menu-recently-used-factories.patch
  - only list up to 5 recently used factories and only when more than 5 in menu
  - keep menu entry of recenty used factory in original place too
  - fix display of English/European entry
- bring back Ctrl+space hotkey for Japanese and Korean users for backward
  compatibility (#201173)
- include European keyboard in default factories again to avoid breaking
  deadkey support in XIM apps (lxo, #188357)
- move scim modules to the main package

* Fri Jul 28 2006 Qingyu Wang <qwang@redhat.com> - 1.4.4-29
- fix scim_panel_gtk-systray-click-199187.patch for second click away from icon

* Thu Jul 27 2006 Qingyu Wang <qwang@redhat.com> - 1.4.4-26
- fixed the bug 199187 with scim_panel_gtk-systray-click-199187.patch

* Mon Jul 24 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-25
- suffix xinput file with .conf and bump priority to 82
- xinput sub-scripts moved to a subdir
- clearer new half-letter and half-punct icons (Andy Fitzsimon)

* Mon Jul 17 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-24
- update to latest scim-1.4 branch
  - should fix systray icon transparency (Saturo Sato, #198259)
- list factories on menu in most recently used order with
  scim_panel_gtk-menu-recently-used-factories.patch (#187027)
- new set of icons based on Tango project design (Andy Fitzsimon, #187024)
- change defaults to no sticky icon in toolbar and vertical lookup window
- fix various icon size problems with scim_panel_gtk-icon-size-fixes.patch

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.4.4-23.1
- rebuild

* Wed Jul  5 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-23
- use xinputrc instead of xinput.d (#194458)
- require xorg-x11-xinit >= 1.0.2-5.fc6

* Wed Jul  5 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-22
- update to head of scim-1.4 branch
  - buildrequire doxygen and build html for snapshots
  - rawcode-unicode-maxlength.patch, scim-panjabi-punjabi.patch, and
    factory-menu-singlet-submenus-187027.patch no longer needed
- prereq gtk2 >= 2.9.1-2 and ignore update-gtk-immodules errors
- remove with_libstdc_preview macro

* Tue Jun 20 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-21
- changes to default system config (scim-system-default-config.patch):
  - set default IMEs for Chinese locale (#187028)
  - only set next and previous factory hotkeys for Chinese locale
  - do not set F9 as a hotkey in Korean locale (#195633)
  - disable rawcode, European keyboard, and various scim-tables Chinese tables
    by default (#187028)

* Thu Jun 15 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-20
- use _host not _target_platform for update-gtk-immodules in scripts (#195343)

* Tue Jun 13 2006 Qingyu Wang <qwang@redhat.com> - 1.4.4-19
- add initial-locale-hotkey-186861.patch to implement locale-based subkeys
  to initialize users' hotkey configuration keys (#186861)
- update scim-system-default-config.patch with localized hotkeys for
  Japanese and Korean

* Thu Jun  1 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-18
- scim-bridge moved to Extras for now (also fixes #191886)

* Tue May 16 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-17
- update to scim-bridge 0.1.8 (#191329)
- test factory-menu-singlet-submenus-187027.patch to avoid having language
  submenus for a single IME

* Tue May  9 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-16
- update to scim-bridge 0.1.7
- improve qtimm setup in xinput.d file

* Tue Apr 18 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-15
- scim-bridge-0.1.6

* Mon Apr 10 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-14
- subpackage scim-bridge and add xinput.d file for scim-bridge
  - add scim_ver and scim_bridge_ver

* Fri Apr  7 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-13
- update to scim-bridge-0.1.4

* Mon Apr  3 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-12
- update to scim-bridge-0.1.3
  - no longer need to bootstrap

* Fri Mar 31 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-11
- include experimental scim-bridge-0.1.2 by Ryo Dairiki (#185693)
  - make scim-bridge the default gtkimmodule for now
- reenable qtimm module (#182177)

* Fri Mar 31 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-10
- build without libstdc++so7 for now
- turn on scim by default for all locale: add xinput.d/default
- drop the redundant module dirs in scim-1.0/
- add Alt-` to list of default hotkeys for Japanese users with us keyboard

* Wed Mar 29 2006 Jens Petersen <petersen@redhat.com>
- make scim-libs prereq libstdc++so7 to avoid update-gtk-immodules error when
  installing on i386 (#186365)
- setup xinput.d for some more locale (as_IN, or_IN, si_LK, vi_VN, and zh_HK)

* Thu Mar  2 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-9
- make scim-libs prereq gtk2 > 2.8 to avoid update-gtk-immodules error
  when upgrading from FC4 (#183636)

* Wed Mar  1 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-8
- add scim-system-default-config.patch
  - add Zenkaku_Hankaku as trigger hotkey for Japanese users
  - use static XIM event flow so deadkeys work under XIM in off state (#169975)
- add alternatives as prereq for %%post and %%postun (pknirsch, #182853)

* Fri Feb 24 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-6
- fix Punjabi spelling with scim-panjabi-punjabi.patch (aalam)

* Mon Feb 20 2006 Warren Togami <wtogami@redhat.com> - 1.4.4-5
- Add epoch to iiimf Obsoletes so it actually removes it (#173071)
  NOTE: The goal of these Obsoletes is for the official supported 
  upgrade path to work smoothly.  If users want to use iiimf, they
  are free to do so but their package must be compatible.

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.4.4-4.1
- bump again for double-long bug on ppc(64)

* Fri Feb 10 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-4
- parse the libstdc++so7 datestamp from the wrapper script

* Thu Feb  9 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-3
- build conditionally with libstdc++so7 preview to workround libstdc++ weak
  symbol version conflicts for c++ gtk apps built with older gcc
  (Benjamin Kosnik, #166041)
  - add with_libstdc_preview switch and tweak libtool to link against newer lib
- do not change scim_binary_version in scim.pc-versioned-moduledir-179706.patch
- set qtimm to xim for now

* Fri Feb  3 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-2
- remove scim-reload-engines-165655.patch since it seems to break input after
  reloading configuration (#179807)
- add gtkimm-clear-preedit-on-reset-174143.patch to clear the preedit buffer
  when IME turned off (Qian Shen, #174143)
- add rawcode-unicode-maxlength.patch to improve input of unicode codes
  (James Su, #173102)
- add scim.pc-versioned-moduledir-179706.patch to include api version in
  moduledir in scim.pc so that IMEs get installed in versioned dir by default
  (Akira Tagoh, #179706)

* Fri Jan 13 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-1
- update to 1.4.4 bugfix release
  - scim-gtk-langs-167090.patch no longer needed since 1.4.3
- move scim dl modules to scim-libs for multilib to work correctly
  - define %%scim_api

* Mon Dec 19 2005 Jens Petersen <petersen@redhat.com> - 1.4.2-9
- enable linker symbol versioning now that mt_alloc is fixed (#173220)
- buildrequire libXt-devel for configure
- buildrequire autoconf, automake, and libtool for autoreconf

* Fri Dec 16 2005 Jens Petersen <petersen@redhat.com> - 1.4.2-8
- rebuild with gcc-4.1

* Mon Nov 14 2005 Jens Petersen <petersen@redhat.com> - 1.4.2-7
- make "reload config" reload IMEs with scim-reload-engines-165655.patch
  (Qian Shen, #165655)
- add iiimf obsoletes for upgrading (#173071)

* Tue Nov  1 2005 Jens Petersen <petersen@redhat.com> - 1.4.2-6
- avoid errors in postun script when uninstalling

* Thu Oct  6 2005 Jens Petersen <petersen@redhat.com> - 1.4.2-5
- fixing quoting in scim-restart
- make post and postun scripts for scim-libs

* Thu Sep 22 2005 Jens Petersen <petersen@redhat.com> - 1.4.2-4
- make scim-devel require scim-libs
- add xinput.d entries for Indic langs

* Thu Sep 15 2005 Jens Petersen <petersen@redhat.com> - 1.4.2-3
- move libs and the gtk immodule to scim-libs for multilib

* Fri Sep  9 2005 Jens Petersen <petersen@redhat.com>
- improve scim-restart script to take account of the config module in use
  (Liu Cougar)

* Fri Sep  2 2005 Jens Petersen <petersen@redhat.com> - 1.4.2-2
- add scim-restart script to make it easier to restart scim after updating
  IMEs with scim-add-restart.patch
- add scim-gtk-langs-167090.patch to set gtk immodule language list empty
  for now so that rhgb doesn't load scim (Warren Togami, #167088)

* Wed Aug 17 2005 Jens Petersen <petersen@redhat.com> - 1.4.2-1
- update to 1.4.2 release

* Thu Aug 11 2005 Jens Petersen <petersen@redhat.com> - 1.4.1-1
- update to 1.4.1 bugfix release
- source scim-qtimm script if present from scim xinput script

* Mon Aug  1 2005 Jens Petersen <petersen@redhat.com> - 1.4.0-3
- bring back the xinput alternatives settings for now
- quote the postun readlink test (wcalee@myrealbox.com, #164674)

* Sat Jul 30 2005 Ryo Dairiki <ryo-dairiki@mbm.nifty.com>
- don't explicitly --disable-ld-version-script since this turns on versioning

* Sat Jul 30 2005 Jens Petersen <petersen@redhat.com>
- own the system xinput.d dir

* Wed Jul 27 2005 Jens Petersen <petersen@redhat.com> - 1.4.0-2
- initial build for Fedora Core
- remove xinput alternatives settings out to IME packages
- drop the old Chinese manual from docs for now
- make scim-1.0 dirs accessible

* Fri Jul 16 2005 Ryo Dairiki <ryo-dairiki@mbm.nifty.com> - 1.4.0-1
- update to 1.4.0 release

* Sat Jul  9 2005 Jens Petersen <petersen@redhat.com> - 1.3.3-1
- update to 1.3.3 release
- disable linking with version-scripts for now since they cause some problems
- disable building of static libs

* Tue Jul  5 2005 Jens Petersen <petersen@redhat.com> - 1.3.2-1
- update to 1.3.2 test release
- don't set xinput.d script executable
- no need to set XMODIFIERS explicitly and QT_IM_MODULE in xinput.d script

* Mon Jun 20 2005 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 1.2.3-2
- Remove one of doubled capplets for setup.

* Sat May 28 2005 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 1.2.3-1
- update to 1.2.3 release

* Fri Mar 13 2005 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 1.2.2-9
- Initial packaging for Fedora Extras
- cleanup and fixes (Konstantin Ryabitsev, Jens Petersen)

* Sun Jan 9 2005 James Su <suzhe@tsinghua.org.cn>
- Remove GConf Config module.

* Wed Jan 5 2005 James Su <suzhe@tsinghua.org.cn>
- Remove table IMEngine.

* Fri Aug 6 2004 James Su <suzhe@tsinghua.org.cn>
- Move scim-launcher and scim-panel-gtk to /usr/lib/scim-1.0.

* Sun Jun 20 2004  James Su <suzhe@tsinghua.org.cn>
- Merge all things into one package.

* Sat Jun 19 2004  James Su <suzhe@tsinghua.org.cn>
- Added /usr/libexec/scim-launcher.
- Remove setup module for SocketFrontEnd and SocketIMEngine.

* Mon Mar 8 2004  James Su <suzhe@turbolinux.com.cn>
- Added scim-config-agent.

* Thu Oct 30 2003 James Su <suzhe@turbolinux.com.cn>
- Added Simplified Chinese User Manual.

* Wed Sep 03 2003 James Su <suzhe@turbolinux.com.cn>
- cleanup spec.

* Tue Sep 02 2003 James Su <suzhe@turbolinux.com.cn>
- upto 0.8.0

* Tue Jul 29 2003 James Su <suzhe@turbolinux.com.cn>
- updated to include scim-panel-gtk.

* Thu Jun 19 2003 James Su <suzhe@turbolinux.com.cn>
- updated to include scim-setup and its modules.

* Thu Apr 3 2003 James Su <suzhe@turbolinux.com.cn>
- added suite package, which includes all necessary components of SCIM.

* Tue Mar 25 2003 James Su <suzhe@turbolinux.com.cn>
- updated to v0.4.0

* Wed Feb 26 2003 James Su <suzhe@turbolinux.com.cn>
- implemented dynamic adjust feature for generic table module.
- fixed key handling bug in generic table module.

* Mon Feb 10 2003 James Su <suzhe@turbolinux.com.cn>
- Replaced highlight_start and highlight_end in scim_server
  and scim_frontend with AttributeList (scim_attributes.h)
- Moved icons/* to data/icons and gtkstringview.* to
  utils/

* Thu Jan 2 2003 James Su <suzhe@turbolinux.com.cn>
- updated configure.ac and Makefile.am
- ready to release 0.3.0

* Tue Nov 12 2002 James Su <suzhe@turbolinux.com.cn>
- merged signal system from libinti.
- implemented namespace scim.
- implemented referenced object.
- version 0.3.0

* Tue Nov 05 2002 James Su <suzhe@turbolinux.com.cn>
- minor fixes for table IM module.

* Mon Nov 04 2002 James Su <suzhe@turbolinux.com.cn>
- More IMdkit memory leak fixes.
- Table input method bugfixes.
- version 0.2.2

* Fri Nov 01 2002 James Su <suzhe@turbolinux.com.cn>
- improved table input method.
- actually fixed the memleaks within IMdkit.
- pumped the version to 0.2.1

* Thu Oct 31 2002 James Su <suzhe@turbolinux.com.cn>
- fixed some memory leaks in IMdkit
- reduced memory usage.
- upgraded to libtool-1.4.3

* Tue Oct 29 2002 James Su <suzhe@turbolinux.com.cn>
- finished Generic Table input server module.
- fixed several bugs in scim-lib.

* Thu Oct 10 2002 James Su <suzhe@turbolinux.com.cn>
- used gettext to support i18n message.
- added release info to lib name.

* Mon Sep 30 2002 James Su <suzhe@turbolinux.com.cn>
- version 0.1.4
- added Embedded Lookup Table style into X11 FrontEnd.
- use wchar_t instead of unsigned long if __STDC_ISO_10646__ defined.

* Sun Sep 22 2002 James Su <suzhe@turbolinux.com.cn>
- version 0.1.3
- config button of X11 FrontEnd was disabled.

* Fri Sep 6 2002 James Su <suzhe@turbolinux.com.cn>
- simplified the utilities and lookup table interface.

* Wed Aug 21 2002 James Su <suzhe@turbolinux.com.cn>
- version 0.1.2
- added configuration options to disable modules.
- enhanced X11 FrontEnd.

* Sun Aug 11 2002 James Su <suzhe@turbolinux.com.cn>
- version 0.1.1
- X11 FrontEnd was enhanced.

* Sat Aug 10 2002 James Su <suzhe@turbolinux.com.cn>
- version 0.1.0
- many bugfixes.
- Help window of X11 FrontEnd was implemented.
- scim can exit cleanly.

* Fri Aug 2 2002 James Su <suzhe@turbolinux.com.cn>
- SCIM 0.0.13.
- Minor bugfixes.

* Mon Jul 29 2002 James Su <suzhe@turbolinux.com.cn>
- SCIM 0.0.12.
- Minor bugfixes.

* Sun Jul 28 2002 James Su <suzhe@turbolinux.com.cn>
- SCIM 0.0.11.
- Minor bugfixes.

* Sun Jul 21 2002 James Su <suzhe@turbolinux.com.cn>
- SCIM 0.0.10.
- Added Simple Config module.

* Sat Jun 22 2002 James Su <suzhe@turbolinux.com.cn>
- first public release of SCIM.

